1
0
Fork 0
Browse Source

cleanup: remove transitive py27 deprecation (www/qt5-webengine)

main
Rene Ladan 7 months ago
parent
commit
48d98ef918
  1. 7
      astro/gpsbabel/Makefile
  2. 6
      astro/marble/Makefile
  3. 3
      astro/qmapshack/Makefile
  4. 7
      audio/amarok/Makefile
  5. 5
      audio/musescore/Makefile
  6. 2
      audio/supercollider/Makefile
  7. 3
      biology/py-orange3-bioinformatics/Makefile
  8. 3
      biology/py-orange3-single-cell/Makefile
  9. 2
      chinese/fcitx-libpinyin/Makefile
  10. 7
      databases/kbibtex/Makefile
  11. 3
      deskutils/akonadi-calendar-tools/Makefile
  12. 3
      deskutils/akonadi-import-wizard/Makefile
  13. 3
      deskutils/akonadiconsole/Makefile
  14. 3
      deskutils/akregator/Makefile
  15. 3
      deskutils/calibre/Makefile
  16. 3
      deskutils/grantlee-editor/Makefile
  17. 3
      deskutils/kaddressbook/Makefile
  18. 3
      deskutils/kalarm/Makefile
  19. 3
      deskutils/kdepim-addons/Makefile
  20. 3
      deskutils/kdepim-runtime/Makefile
  21. 3
      deskutils/kdepim/Makefile
  22. 3
      deskutils/kmail-account-wizard/Makefile
  23. 3
      deskutils/kmail/Makefile
  24. 3
      deskutils/knotes/Makefile
  25. 3
      deskutils/kontact/Makefile
  26. 3
      deskutils/korganizer/Makefile
  27. 3
      deskutils/mbox-importer/Makefile
  28. 3
      deskutils/nextcloudclient/Makefile
  29. 3
      deskutils/pim-data-exporter/Makefile
  30. 3
      deskutils/pim-sieve-editor/Makefile
  31. 3
      deskutils/semantik/Makefile
  32. 2
      deskutils/syncthingtray/Makefile
  33. 3
      deskutils/zanshin/Makefile
  34. 2
      devel/RStudio/Makefile
  35. 3
      devel/gammaray/Makefile
  36. 7
      devel/kdevelop/Makefile
  37. 2
      devel/pyside2-tools/Makefile
  38. 2
      devel/pyside2/Makefile
  39. 5
      devel/qtcreator/Makefile
  40. 3
      editors/ghostwriter/Makefile
  41. 7
      finance/kmymoney/Makefile
  42. 3
      games/anki/Makefile
  43. 3
      games/py-mnemosyne/Makefile
  44. 7
      graphics/digikam/Makefile
  45. 3
      graphics/kimagemapeditor/Makefile
  46. 7
      graphics/kphotoalbum/Makefile
  47. 5
      graphics/luminance-qt5/Makefile
  48. 3
      graphics/qgis-ltr/Makefile
  49. 3
      graphics/qgis/Makefile
  50. 8
      math/kalgebra/Makefile
  51. 3
      math/minizinc-ide/Makefile
  52. 7
      misc/kdeedu/Makefile
  53. 3
      misc/orange3/Makefile
  54. 3
      misc/parley/Makefile
  55. 3
      misc/py-orange3-associate/Makefile
  56. 3
      misc/py-orange3-datafusion/Makefile
  57. 3
      misc/py-orange3-educational/Makefile
  58. 3
      misc/py-orange3-network/Makefile
  59. 3
      misc/py-orange3-timeseries/Makefile
  60. 3
      net-im/kaccounts-providers/Makefile
  61. 3
      net-im/kde-telepathy/Makefile
  62. 3
      net-im/ktp-accounts-kcm/Makefile
  63. 3
      net-im/ktp-text-ui/Makefile
  64. 2
      net-p2p/ktorrent/Makefile
  65. 3
      net/akonadi-calendar/Makefile
  66. 3
      net/calendarsupport/Makefile
  67. 3
      net/eventviews/Makefile
  68. 3
      net/incidenceeditor/Makefile
  69. 3
      net/kio-gdrive/Makefile
  70. 3
      net/kmailtransport/Makefile
  71. 3
      net/libkgapi/Makefile
  72. 3
      net/libksieve/Makefile
  73. 3
      net/mailcommon/Makefile
  74. 3
      net/messagelib/Makefile
  75. 3
      print/py-frescobaldi/Makefile
  76. 7
      sysutils/plasma5-libksysguard/Makefile
  77. 3
      textproc/pageedit/Makefile
  78. 3
      textproc/sigil/Makefile
  79. 3
      www/falkon/Makefile
  80. 7
      www/otter-browser/Makefile
  81. 3
      www/py-qt5-webengine/Makefile
  82. 2
      www/qt5-webview/Makefile
  83. 5
      www/qutebrowser/Makefile
  84. 3
      x11-fm/konqueror/Makefile
  85. 7
      x11-toolkits/plasma5-kdeplasma-addons/Makefile
  86. 7
      x11/kde5/Makefile
  87. 3
      x11/radare-cutter/Makefile

7
astro/gpsbabel/Makefile

@ -56,11 +56,4 @@ do-install-GUI-on:
${INSTALL_DATA} ${WRKSRC}/gui/images/appicon.png \
${STAGEDIR}${PREFIX}/share/pixmaps/gpsbabel.png
.include <bsd.port.options.mk>
.if ${PORT_OPTIONS:MGUI}
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
.endif
.include <bsd.port.mk>

6
astro/marble/Makefile

@ -45,10 +45,4 @@ WEBENGINE_DESC= Add dependency on qt5-webengine
WEBENGINE_USE= QT=webengine
WEBENGINE_CMAKE_BOOL_OFF= CMAKE_DISABLE_FIND_PACKAGE_Qt5WebEngineWidgets
.include <bsd.port.options.mk>
.if ${PORT_OPTIONS:MWEBENGINE}
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
.endif
.include <bsd.port.mk>

3
astro/qmapshack/Makefile

@ -11,9 +11,6 @@ COMMENT= Ultimate outdoor aficionado's tool
LICENSE= GPLv3+
LICENSE_FILE= ${WRKSRC}/LICENSE
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libgdal.so:graphics/gdal \
libproj.so:graphics/proj \
libquazip1-qt5.so:archivers/quazip \

7
audio/amarok/Makefile

@ -87,11 +87,4 @@ post-patch:
post-install:
@${MKDIR} ${STAGEDIR}${PREFIX}/share/mime/packages
.include <bsd.port.options.mk>
.if ${PORT_OPTIONS:MQTWEBENGINE}
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
.endif
.include <bsd.port.mk>

5
audio/musescore/Makefile

@ -65,9 +65,4 @@ WEBENGINE_CMAKE_BOOL= BUILD_WEBENGINE
CXXFLAGS+= -Wno-inconsistent-missing-override
.endif
.if ${PORT_OPTIONS:MWEBENGINE}
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
.endif
.include <bsd.port.post.mk>

2
audio/supercollider/Makefile

@ -54,8 +54,6 @@ SUPERNOVA_CMAKE_BOOL= SUPERNOVA
.if ! ${ARCH} == amd64 && ! ${ARCH} == i386
CMAKE_ARGS+= -DSSE:BOOL=FALSE -DSSE2:BOOL=FALSE -DSC_USE_QTWEBENGINE:BOOL=FALSE
.else
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
USE_QT+= webengine
.endif

3
biology/py-orange3-bioinformatics/Makefile

@ -11,9 +11,6 @@ COMMENT= Orange add-on providing common functionality for bioinformatics
LICENSE= GPLv3
LICENSE_FILE= ${WRKSRC}/LICENSE
DEPRECATED= Uses EOL Python 2.7 via misc/orange3
EXPIRATION_DATE=2021-06-23
BUILD_DEPENDS= ${PYTHON_PKGNAMEPREFIX}setuptools_scm>0:devel/py-setuptools_scm@${PY_FLAVOR}
RUN_DEPENDS= orange3>0:misc/orange3 \
${PYTHON_PKGNAMEPREFIX}Genesis-PyAPI>0:biology/py-Genesis-PyAPI@${PY_FLAVOR} \

3
biology/py-orange3-single-cell/Makefile

@ -9,9 +9,6 @@ COMMENT= Orange add-on for gene expression of single cell data
LICENSE= AGPLv3+
DEPRECATED= Uses EOL Python 2.7 via misc/orange3
EXPIRATION_DATE=2021-06-23
RUN_DEPENDS= orange3>0:misc/orange3 \
${PYTHON_PKGNAMEPREFIX}orange3-bioinformatics>0:biology/py-orange3-bioinformatics@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}astropy>0:astro/py-astropy@${PY_FLAVOR} \

2
chinese/fcitx-libpinyin/Makefile

@ -34,8 +34,6 @@ QT5_DESC= Enable Qtr for dictmanager
.include <bsd.port.options.mk>
.if ${PORT_OPTIONS:MQT5}
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
USES+= qt:5
USE_QT= qmake_build gui webengine buildtools_build
USE_LDCONFIG= ${PREFIX}/lib/fcitx/qt

7
databases/kbibtex/Makefile

@ -36,11 +36,4 @@ WEBENGINE_USE= QT=webengine
WEBENGINE_USE_OFF= QT=webkit
WEBENGINE_CMAKE_BOOL_OFF= CMAKE_DISABLE_FIND_PACKAGE_Qt5WebEngineWidgets
.include <bsd.port.options.mk>
.if ${PORT_OPTIONS:MWEBENGINE}
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
.endif
.include <bsd.port.mk>

3
deskutils/akonadi-calendar-tools/Makefile

@ -5,9 +5,6 @@ CATEGORIES= deskutils kde kde-applications
MAINTAINER= kde@FreeBSD.org
COMMENT= CLI tools to manage akonadi calendars
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libical.so:devel/libical
USES= cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz

3
deskutils/akonadi-import-wizard/Makefile

@ -5,9 +5,6 @@ CATEGORIES= deskutils kde kde-applications
MAINTAINER= kde@FreeBSD.org
COMMENT= Import data from other mail clients to KMail
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libassuan.so:security/libassuan \
libgpg-error.so:security/libgpg-error \
libgpgme.so:security/gpgme \

3
deskutils/akonadiconsole/Makefile

@ -7,9 +7,6 @@ COMMENT= Akonadi management and debugging console
LICENSE= LGPL21
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libassuan.so:security/libassuan \
libgpg-error.so:security/libgpg-error \
libgpgme.so:security/gpgme \

3
deskutils/akregator/Makefile

@ -7,9 +7,6 @@ COMMENT= Feed reader for KDE
LICENSE= LGPL21
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libassuan.so:security/libassuan \
libgpg-error.so:security/libgpg-error \
libgpgme.so:security/gpgme \

3
deskutils/calibre/Makefile

@ -10,9 +10,6 @@ COMMENT= Ebook management application
LICENSE= GPLv3
DEPRECATED= Uses EOL Python 2.7 via www/py-qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libfontconfig.so:x11-fonts/fontconfig \
libpoppler-qt5.so:graphics/poppler-qt5 \
libwmflite.so:graphics/libwmf \

3
deskutils/grantlee-editor/Makefile

@ -7,9 +7,6 @@ COMMENT= Editor for Grantlee themes
LICENSE= LGPL21
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libassuan.so:security/libassuan \
libgpg-error.so:security/libgpg-error \
libgpgme.so:security/gpgme \

3
deskutils/kaddressbook/Makefile

@ -5,9 +5,6 @@ CATEGORIES= deskutils kde kde-applications
MAINTAINER= kde@FreeBSD.org
COMMENT= KDE contact manager
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libassuan.so:security/libassuan \
libgpg-error.so:security/libgpg-error \
libgpgme.so:security/gpgme \

3
deskutils/kalarm/Makefile

@ -5,9 +5,6 @@ CATEGORIES= deskutils kde kde-applications
MAINTAINER= kde@FreeBSD.org
COMMENT= Personal alarm scheduler
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libical.so:devel/libical
USES= cmake compiler:c++11-lib gettext kde:5 qt:5 shebangfix tar:xz xorg

3
deskutils/kdepim-addons/Makefile

@ -7,9 +7,6 @@ COMMENT= KDE PIM addons
LICENSE= LGPL21
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
BUILD_DEPENDS= markdown:textproc/discount
RUN_DEPENDS= markdown:textproc/discount
LIB_DEPENDS= libassuan.so:security/libassuan \

3
deskutils/kdepim-runtime/Makefile

@ -8,9 +8,6 @@ COMMENT= KDE PIM tools and services
LICENSE= LGPL21
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libboost_date_time.so:devel/boost-libs \
libcurl.so:ftp/curl \
libkolabxml.so:textproc/libkolabxml \

3
deskutils/kdepim/Makefile

@ -2,9 +2,6 @@ PORTNAME= kdepim
DISTVERSION= ${KDE_APPLICATIONS_VERSION}
CATEGORIES= deskutils kde
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
MAINTAINER= kde@FreeBSD.org
COMMENT= KDE PIM applications metaport

3
deskutils/kmail-account-wizard/Makefile

@ -5,9 +5,6 @@ CATEGORIES= deskutils kde kde-applications
MAINTAINER= kde@FreeBSD.org
COMMENT= KDE mail account wizard
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libassuan.so:security/libassuan \
libgpg-error.so:security/libgpg-error \
libgpgme.so:security/gpgme \

3
deskutils/kmail/Makefile

@ -7,9 +7,6 @@ COMMENT= KDE mail client
LICENSE= LGPL21
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libassuan.so:security/libassuan \
libgpg-error.so:security/libgpg-error \
libgpgme.so:security/gpgme \

3
deskutils/knotes/Makefile

@ -7,9 +7,6 @@ COMMENT= Popup notes
LICENSE= LGPL21
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libical.so:devel/libical
USES= cmake compiler:c++11-lib gettext grantlee:5 kde:5 qt:5 tar:xz xorg

3
deskutils/kontact/Makefile

@ -7,9 +7,6 @@ COMMENT= KDE Personal Information Manager
LICENSE= LGPL21
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
USES= cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz
USE_KDE= auth codecs completion config configwidgets coreaddons crash \
i18n iconthemes itemmodels jobwidgets kcmutils kio parts \

3
deskutils/korganizer/Makefile

@ -5,9 +5,6 @@ CATEGORIES= deskutils kde kde-applications
MAINTAINER= kde@FreeBSD.org
COMMENT= Calendar and scheduling Program
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libical.so:devel/libical
USES= cmake compiler:c++11-lib desktop-file-utils gettext gl kde:5 qt:5 tar:xz

3
deskutils/mbox-importer/Makefile

@ -5,9 +5,6 @@ CATEGORIES= deskutils kde kde-applications
MAINTAINER= kde@FreeBSD.org
COMMENT= Import mbox files to KMail
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libassuan.so:security/libassuan \
libgpg-error.so:security/libgpg-error \
libgpgme.so:security/gpgme \

3
deskutils/nextcloudclient/Makefile

@ -10,9 +10,6 @@ COMMENT= NextCloud Desktop Syncing Client
LICENSE= GPLv2
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
BUILD_DEPENDS= inkscape:graphics/inkscape
LIB_DEPENDS= libinotify.so:devel/libinotify \
libqt5keychain.so:security/qtkeychain

3
deskutils/pim-data-exporter/Makefile

@ -5,9 +5,6 @@ CATEGORIES= deskutils kde kde-applications
MAINTAINER= kde@FreeBSD.org
COMMENT= Import and export KDE PIM settings
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libassuan.so:security/libassuan \
libgpg-error.so:security/libgpg-error \
libgpgme.so:security/gpgme \

3
deskutils/pim-sieve-editor/Makefile

@ -5,9 +5,6 @@ CATEGORIES= deskutils kde kde-applications
MAINTAINER= kde@FreeBSD.org
COMMENT= Mail sieve editor
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libqt5keychain.so:security/qtkeychain
USES= cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz

3
deskutils/semantik/Makefile

@ -9,9 +9,6 @@ COMMENT= Mind mapping tool
LICENSE= GPLv3
LICENSE_FILE= ${WRKSRC}/LICENSE
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
USES= kde:5 pkgconfig python:3.6+ qt:5 shebangfix tar:bzip2 waf \
desktop-file-utils gettext shared-mime-info
USE_KDE= auth config configwidgets coreaddons i18n iconthemes \

2
deskutils/syncthingtray/Makefile

@ -38,8 +38,6 @@ CMAKE_SOURCE_PATH= ${WRKDIR}/subdirs/syncthingtray
.include <bsd.port.pre.mk>
.if ${ARCH} == amd64 || ${ARCH} == i386
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
USE_QT+= webengine
.else
CMAKE_ARGS+= -DWEBVIEW_PROVIDER=webkit

3
deskutils/zanshin/Makefile

@ -5,9 +5,6 @@ CATEGORIES= deskutils kde kde-applications
MAINTAINER= kde@FreeBSD.org
COMMENT= Daily organizer for KDE
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libical.so:devel/libical
USES= cmake compiler:c++14-lang gettext kde:5 qt:5 tar:xz

2
devel/RStudio/Makefile

@ -64,8 +64,6 @@ GWT_VERSION= 2.8.1
GIN_VERSION= 2.1.2
.if ${FLAVOR:U} == desktop
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
COMMENT+= (desktop UI version)
USES+= desktop-file-utils qt:5 shared-mime-info
USE_QT= core dbus declarative gui location network opengl printsupport quickcontrols sensors \

3
devel/gammaray/Makefile

@ -6,9 +6,6 @@ CATEGORIES= devel
MAINTAINER= swills@FreeBSD.org
COMMENT= Debugging tool for Qt-application
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
USES= cmake kde:5 pkgconfig qt:5
USE_QT= 3d concurrent core declarative designer gui help linguisttools \

7
devel/kdevelop/Makefile

@ -60,11 +60,4 @@ SHEBANG_LANG= zsh
zsh_OLD_CMD= /bin/zsh
zsh_CMD= ${LOCALBASE}/bin/zsh
.include <bsd.port.options.mk>
.if ${PORT_OPTIONS:MWEBENGINE}
DEPRECATED= Uses EOL Pyton 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
.endif
.include <bsd.port.mk>

2
devel/pyside2-tools/Makefile

@ -35,8 +35,6 @@ CMAKE_ARGS+= "-DUSE_PYTHON_VERSION=${PYTHON_VER}"
WRKSRC= ${WRKDIR}/pyside-setup-opensource-src-${DISTVERSION:C/^([0-9].[0-9]+.[0-9])(.[0-9])?/\1/}/sources/pyside2-tools
.if ${ARCH} == amd64 || ${ARCH} == i386
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
USE_QT+= webengine
.endif

2
devel/pyside2/Makefile

@ -36,8 +36,6 @@ PLIST_SUB+= DISTVERSION=${DISTVERSION}
WRKSRC= ${WRKDIR}/pyside-setup-opensource-src-${DISTVERSION:C/^([0-9].[0-9]+.[0-9])(.[0-9])?/\1/}/sources/pyside2
.if ${ARCH} == amd64 || ${ARCH} == i386
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
PLIST_SUB+= WEBENGINE=""
USE_QT+= webengine
.else

5
devel/qtcreator/Makefile

@ -86,11 +86,6 @@ SHEBANG_FILES= tests/system/tools/objectsToTable.py \
.include <bsd.port.pre.mk>
.if ${PORT_OPTIONS:MWEBENGINE}
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
.endif
# Force a modern LLVM >= 10
.if ${LLVM_DEFAULT:C/[1-5]./&0/:S,-devel,990,} > 80
LLVM_DEFAULT= 11

3
editors/ghostwriter/Makefile

@ -9,9 +9,6 @@ COMMENT= Distraction-free Markdown editor
LICENSE= GPLv3+
LICENSE_FILE= ${WRKSRC}/COPYING
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libhunspell-1.7.so:textproc/hunspell
USES= compiler:c++11-lang desktop-file-utils pkgconfig qmake qt:5

7
finance/kmymoney/Makefile

@ -109,11 +109,4 @@ create-plist: stage
pkg-plist)
.endif
.include <bsd.port.options.mk>
.if ${PORT_OPTIONS:MQTWEBENGINE}
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
.endif
.include <bsd.port.mk>

3
games/anki/Makefile

@ -14,9 +14,6 @@ COMMENT= Flashcard trainer with spaced repetition
LICENSE= AGPLv3+
LICENSE_FILE= ${WRKSRC}/LICENSE
DEPRECATED= Uses EOL Python 2.7 via www/py-qt5-webengine
EXPIRATION_DATE=2021-06-23
NOT_FOR_ARCHS= armv6 armv7 i386 mips powerpc
NOT_FOR_ARCHS_REASON= the bazel build framework supports only 64-bit systems.

3
games/py-mnemosyne/Makefile

@ -14,9 +14,6 @@ COMMENT= Flash-card tool which optimises your learning process
LICENSE= LGPL3
DEPRECATED= Uses EOL Python 2.7 via www/py-qt5-webengine
EXPIRATION_DATE=2021-06-23
RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}sqlite3>0:databases/py-sqlite3@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}PyOpenGL>=0:graphics/py-PyOpenGL@${PY_FLAVOR} \
${PY_PILLOW} \

7
graphics/digikam/Makefile

@ -99,11 +99,4 @@ WEBENGINE_CMAKE_BOOL= ENABLE_QWEBENGINE
PLIST_SUB= SHLIB_VER=${DISTVERSION}
.include <bsd.port.options.mk>
.if ${PORT_OPTIONS:MWEBENGINE}
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
.endif
.include <bsd.port.mk>

3
graphics/kimagemapeditor/Makefile

@ -5,9 +5,6 @@ CATEGORIES= graphics kde kde-applications
MAINTAINER= kde@FreeBSD.org
COMMENT= KDE generator of HTML image maps
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
USES= cmake compiler:c++11-lang desktop-file-utils kde:5 qt:5 tar:xz
USE_KDE= auth bookmarks codecs completion config configwidgets \
coreaddons crash guiaddons i18n iconthemes itemviews \

7
graphics/kphotoalbum/Makefile

@ -32,11 +32,4 @@ OPTIONS_DEFAULT_i386= WEBENGINE
WEBENGINE_DESC= Add dependency on qt5-webengine
WEBENGINE_USE= QT=webengine
.include <bsd.port.options.mk>
.if ${PORT_OPTIONS:MWEBENGINE}
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
.endif
.include <bsd.port.mk>

5
graphics/luminance-qt5/Makefile

@ -41,11 +41,6 @@ HELPBROWSER_CMAKE_BOOL= WITH_HELPBROWSER
.include <bsd.port.options.mk>
.if ${PORT_OPTIONS:MHELPBROWSER}
DEPRECATED= Uses EoL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE= 2021-06-23
.endif
post-patch:
# Do not install yet another copy of GPL (we use license framework instead)
# and fix installation path for docs (but not for internal help files)

3
graphics/qgis-ltr/Makefile

@ -12,9 +12,6 @@ COMMENT= Free and Open Source Geographic Information System
LICENSE= GPLv2
LICENSE_FILE= ${WRKSRC}/doc/LICENSE
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
BUILD_DEPENDS= gpsbabel>=1.5.4:astro/gpsbabel \
opencl>=0:devel/opencl \
${PYTHON_PKGNAMEPREFIX}cycler>=0.10.0:devel/py-cycler@${PY_FLAVOR} \

3
graphics/qgis/Makefile

@ -12,9 +12,6 @@ COMMENT= Free and Open Source Geographic Information System
LICENSE= GPLv2
LICENSE_FILE= ${WRKSRC}/doc/LICENSE
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
BUILD_DEPENDS= gpsbabel>=1.5.4:astro/gpsbabel \
opencl>=0:devel/opencl \
${PYTHON_PKGNAMEPREFIX}cycler>=0.10.0:devel/py-cycler@${PY_FLAVOR} \

8
math/kalgebra/Makefile

@ -29,12 +29,4 @@ WEBENGINE_DESC= Add dependency on qt5-webengine
WEBENGINE_USE= QT=webengine
WEBENGINE_CMAKE_BOOL_OFF= CMAKE_DISABLE_FIND_PACKAGE_Qt5WebEngineWidgets
.include <bsd.port.options.mk>
.if ${PORT_OPTIONS:MWEBENGINE}
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
.endif
.include <bsd.port.mk>

3
math/minizinc-ide/Makefile

@ -9,9 +9,6 @@ COMMENT= IDE for MiniZinc, a constraint modeling language
LICENSE= MPL20
LICENSE_FILE= ${WRKSRC}/LICENSE.txt
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
RUN_DEPENDS= minizinc:math/minizinc
USES= gl compiler:c++11-lang qmake qt:5

7
misc/kdeedu/Makefile

@ -70,11 +70,4 @@ ROCS_RUN_DEPENDS= rocs>=${KDE_APPLICATIONS_VERSION}:math/rocs
STEP_DESC= Interactive physics simulator
STEP_RUN_DEPENDS= step>=${KDE_APPLICATIONS_VERSION}:science/step
.include <bsd.port.options.mk>
.if ${PORT_OPTIONS:MPARLEY}
DEPRECATED= Uses EOL Python 2.7 via misc/parley
EXPIRATION_DATE=2021-06-23
.endif
.include <bsd.port.mk>

3
misc/orange3/Makefile

@ -7,9 +7,6 @@ COMMENT= Component-based data mining software
LICENSE= GPLv3
DEPRECATED= Uses EOL Python 2.7 via www/py-qt5-webengine
EXPIRATION_DATE=2021-06-23
BUILD_DEPENDS= ${PYNUMPY}
RUN_DEPENDS= ${PYNUMPY} \
${PYTHON_PKGNAMEPREFIX}AnyQt>=0.0.11:x11-toolkits/py-AnyQt@${PY_FLAVOR} \

3
misc/parley/Makefile

@ -5,9 +5,6 @@ CATEGORIES= misc education kde kde-applications
MAINTAINER= kde@FreeBSD.org
COMMENT= Vocabulary trainer for KDE
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
BUILD_DEPENDS= ${LOCALBASE}/share/xsl/docbook/html/docbook.xsl:textproc/docbook-xsl \
docbook-xml>0:textproc/docbook-xml

3
misc/py-orange3-associate/Makefile

@ -8,9 +8,6 @@ COMMENT= Orange 3 add-on: Frequent itemsets and association rules mining
LICENSE= GPLv3+
DEPRECATED= Uses EOL Python 2.7 via misc/orange3
EXPIRATION_DATE=2021-06-23
RUN_DEPENDS= orange3>0:misc/orange3 \
${PYNUMPY} \
${PYTHON_PKGNAMEPREFIX}scipy>0:science/py-scipy@${PY_FLAVOR}

3
misc/py-orange3-datafusion/Makefile

@ -11,9 +11,6 @@ COMMENT= Data fusion add-on for Orange3
LICENSE= GPLv3
DEPRECATED= Uses EOL Python 2.7 via misc/orange3
EXPIRATION_DATE=2021-06-23
RUN_DEPENDS= orange3>0:misc/orange3 \
${PYTHON_PKGNAMEPREFIX}scikit-fusion>0:misc/py-scikit-fusion@${PY_FLAVOR}

3
misc/py-orange3-educational/Makefile

@ -9,9 +9,6 @@ COMMENT= Orange add-on: widgets for machine learning and data mining
LICENSE= CC-BY-3.0
LICENSE_FILE= ${WRKSRC}/LICENSE
DEPRECATED= Uses EOL Python 2.7 via misc/orange3, ultimately because www/qt5-webengine is still Python 2.7
EXPIRATION_DATE=2021-06-23
RUN_DEPENDS= orange3>0:misc/orange3 \
${PYNUMPY} \
${PYTHON_PKGNAMEPREFIX}beautifulsoup>0:www/py-beautifulsoup@${PY_FLAVOR}

3
misc/py-orange3-network/Makefile

@ -9,9 +9,6 @@ COMMENT= Network analysis add-on for Orange data mining suite
LICENSE= GPLv2
LICENSE_FILE= ${WRKSRC}/COPYING
DEPRECATED= Uses EOL Python 2.7 via misc/orange3
EXPIRATION_DATE=2021-06-23
BUILD_DEPENDS= ${PYNUMPY}
RUN_DEPENDS= orange3>0:misc/orange3 \
${PYNUMPY} \

3
misc/py-orange3-timeseries/Makefile

@ -9,9 +9,6 @@ COMMENT= Orange add-on for analyzing, visualizing, manipulating time series
LICENSE= CC-BY-3.0
LICENSE_FILE= ${WRKSRC}/LICENSE
DEPRECATED= Uses EOL Python 2.7 via misc/orange3
EXPIRATION_DATE=2021-06-23
RUN_DEPENDS= orange3>0:misc/orange3 \
${PYNUMPY} \
${PYTHON_PKGNAMEPREFIX}more-itertools>0:devel/py-more-itertools@${PY_FLAVOR} \

3
net-im/kaccounts-providers/Makefile

@ -5,9 +5,6 @@ CATEGORIES= net-im kde kde-applications
MAINTAINER= kde@FreeBSD.org
COMMENT= System to administer web accounts for the KDE desktop
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libaccounts-glib.so:net-im/libaccounts-glib \
libkaccounts.so:net-im/kaccounts-integration \
libaccounts-qt5.so:net-im/libaccounts-qt5 \

3
net-im/kde-telepathy/Makefile

@ -5,9 +5,6 @@ CATEGORIES= net-im kde
MAINTAINER= kde@FreeBSD.org
COMMENT= KDE integrated instant messaging framework
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
RUN_DEPENDS= ktp-accounts-kcm>=${KDE_APPLICATIONS_VERSION}:net-im/ktp-accounts-kcm \
ktp-approver>=${KDE_APPLICATIONS_VERSION}:net-im/ktp-approver \
ktp-auth-handler>=${KDE_APPLICATIONS_VERSION}:net-im/ktp-auth-handler \

3
net-im/ktp-accounts-kcm/Makefile

@ -8,9 +8,6 @@ COMMENT= KDE instant messaging account management module
LICENSE= LGPL21+
LICENSE_FILE= ${WRKSRC}/COPYING
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libaccounts-qt5.so:net-im/libaccounts-qt5 \
libkaccounts.so:net-im/kaccounts-integration \
libtelepathy-qt5.so:net-im/telepathy-qt \

3
net-im/ktp-text-ui/Makefile

@ -8,9 +8,6 @@ COMMENT= KDE chat window application
LICENSE= GPLv2+
LICENSE_FILE= ${WRKSRC}/COPYING
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libtelepathy-qt5.so:net-im/telepathy-qt \
libtelepathy-logger-qt.so:net-im/telepathy-logger-qt5 \
libKTpCommonInternals.so:net-im/ktp-common-internals

2
net-p2p/ktorrent/Makefile

@ -36,8 +36,6 @@ WORKSPACE_CMAKE_BOOL_OFF= CMAKE_DISABLE_FIND_PACKAGE_LibKWorkspace
.include <bsd.port.options.mk>
.if ${ARCH} == aarch64 || ${ARCH} == amd64 || ${ARCH} == i386
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
PLIST_SUB+= WEBENGINE=""
USE_QT+= webengine
.else

3
net/akonadi-calendar/Makefile

@ -7,9 +7,6 @@ COMMENT= Akonadi Calendar Integration
LICENSE= LGPL21
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
USES= cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz
USE_KDE= auth codecs completion config configwidgets coreaddons \
dbusaddons kdelibs4support i18n iconthemes itemmodels \

3
net/calendarsupport/Makefile

@ -7,9 +7,6 @@ COMMENT= Calendar support libraries for KDEPim
LICENSE= LGPL21
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
BUILD_DEPENDS= ${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs
USES= cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz

3
net/eventviews/Makefile

@ -7,9 +7,6 @@ COMMENT= Event view libriares for KDEPim
LICENSE= LGPL21
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
BUILD_DEPENDS= ${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs
LIB_DEPENDS= libKGantt.so:graphics/kdiagram

3
net/incidenceeditor/Makefile

@ -7,9 +7,6 @@ COMMENT= Incidence editor libriares for KDEPim
LICENSE= LGPL21
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
BUILD_DEPENDS= ${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs
LIB_DEPENDS= libKGantt.so:graphics/kdiagram

3
net/kio-gdrive/Makefile

@ -8,9 +8,6 @@ COMMENT= KDE IOSlave for accessing gdrive
LICENSE= GPLv2
LICENSE_FILE= ${WRKSRC}/COPYING
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libqt5keychain.so:security/qtkeychain \
libaccounts-qt5.so:net-im/libaccounts-qt5 \
libkaccounts.so:net-im/kaccounts-integration

3
net/kmailtransport/Makefile

@ -7,9 +7,6 @@ COMMENT= KDE library to managing mail transport
LICENSE= LGPL21
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libsasl2.so:security/cyrus-sasl2 \
libqt5keychain.so:security/qtkeychain

3
net/libkgapi/Makefile

@ -7,9 +7,6 @@ COMMENT= KDE based library to access google services
LICENSE= LGPL21
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libical.so:devel/libical \
libsasl2.so:security/cyrus-sasl2

3
net/libksieve/Makefile

@ -7,9 +7,6 @@ COMMENT= Sieve libriares for KDEPim
LICENSE= LGPL21
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
BUILD_DEPENDS= ${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs
LIB_DEPENDS= libsasl2.so:security/cyrus-sasl2

3
net/mailcommon/Makefile

@ -7,9 +7,6 @@ COMMENT= Common libriares for KDEPim
LICENSE= LGPL21
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
BUILD_DEPENDS= ${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs
LIB_DEPENDS= libassuan.so:security/libassuan \
libgpg-error.so:security/libgpg-error \

3
net/messagelib/Makefile

@ -7,9 +7,6 @@ COMMENT= Library for handling messages
LICENSE= LGPL21
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
BUILD_DEPENDS= ${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs
LIB_DEPENDS= libassuan.so:security/libassuan \
libgpg-error.so:security/libgpg-error \

3
print/py-frescobaldi/Makefile

@ -13,9 +13,6 @@ COMMENT= Music score editor for lilypond
LICENSE= GPLv2+
LICENSE_FILE= ${WRKSRC}/COPYING
DEPRECATED= Uses EOL Python 2.7 via www/py-qt5-webengine
EXPIRATION_DATE=2021-06-23
RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}python-ly>=0:print/py-python-ly@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}python-poppler-qt5>=0:graphics/py-python-poppler-qt5 #@${PY_FLAVOR}

7
sysutils/plasma5-libksysguard/Makefile

@ -23,11 +23,4 @@ WEBENGINE_USE= QT=webengine
WEBENGINE_DESC= HTML-based GUI ksysguard library based on Qt5WebEngine
WEBENGINE_CMAKE_BOOL_OFF= CMAKE_DISABLE_FIND_PACKAGE_Qt5WebEngineWidgets
.include <bsd.port.options.mk>
.if ${PORT_OPTIONS:MWEBENGINE}
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
.endif
.include <bsd.port.mk>

3
textproc/pageedit/Makefile

@ -8,9 +8,6 @@ COMMENT= WYSIWYG visual XHTML editor
LICENSE= GPLv3+
LICENSE_FILE= ${WRKSRC}/COPYING.txt
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
USES= cmake qt:5 desktop-file-utils
USE_GITHUB= yes

3
textproc/sigil/Makefile

@ -10,9 +10,6 @@ COMMENT= WYSIWYG ePub editor
LICENSE= GPLv3+
LICENSE_FILE= ${WRKSRC}/COPYING.txt
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libminizip.so:archivers/minizip \
libpcre.so:devel/pcre \
libhunspell-1.7.so:textproc/hunspell

3
www/falkon/Makefile

@ -10,9 +10,6 @@ COMMENT= Web browser based on Webengine and Qt Framework
LICENSE= GPLv3
LICENSE_FILE= ${WRKSRC}/COPYING
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
USES= cmake desktop-file-utils kde:5 qt:5 ssl tar:xz xorg
USE_KDE= ecm_build i18n
USE_QT= concurrent core dbus declarative gui location network printsupport \

7
www/otter-browser/Makefile

@ -44,11 +44,4 @@ QTWEBENGINE_CMAKE_BOOL= ENABLE_QTWEBENGINE
QTWEBKIT_USE= qt=webkit
QTWEBKIT_CMAKE_BOOL= ENABLE_QTWEBKIT
.include <bsd.port.options.mk>
.if ${PORT_OPTIONS:MQTWEBENGINE}
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
.endif
.include <bsd.port.mk>

3
www/py-qt5-webengine/Makefile

@ -11,9 +11,6 @@ COMMENT= Python bindings for the Qt5 toolkit, QtWebEngine module
LICENSE= GPLv3
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
USES= gl python:3.5+ pyqt:5 qt:5
USE_GL= gl
USE_PYQT= sip_build core gui network printsupport webchannel

2
www/qt5-webview/Makefile

@ -14,8 +14,6 @@ USE_QT= core declarative gui location network webchannel \
.include <bsd.port.pre.mk>
.if ${ARCH} == amd64 || ${ARCH} == i386
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
PLIST_SUB+= WEBENGINE=""
USE_QT+= webengine
.else

5
www/qutebrowser/Makefile

@ -43,11 +43,6 @@ WEBKIT_USE= PYQT=webkit,webkitwidgets
.include <bsd.port.pre.mk>
.if ${PORT_OPTIONS:MWEBENGINE}
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
.endif
.if ${PYTHON_REL} < 30700
RUN_DEPENDS+= ${PYTHON_PKGNAMEPREFIX}dataclasses>0:devel/py-dataclasses@${PY_FLAVOR}
.endif

3
x11-fm/konqueror/Makefile

@ -5,9 +5,6 @@ CATEGORIES= x11-fm www kde kde-applications
MAINTAINER= kde@FreeBSD.org
COMMENT= KDE web browser and file manager
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
USES= cmake compiler:c++11-lang cpe desktop-file-utils gettext \
localbase:ldflags kde:5 pkgconfig qt:5 tar:xz xorg
USE_KDE= activities archive auth bookmarks codecs completion config configwidgets \

7
x11-toolkits/plasma5-kdeplasma-addons/Makefile

@ -32,11 +32,4 @@ QTWEBENGINE_DESC= Add dependency on qt5-webengine
QTWEBENGINE_USE= qt=webengine
QTWEBENGINE_CMAKE_BOOL_OFF= CMAKE_DISABLE_FIND_PACKAGE_Qt5WebEngine
.include <bsd.port.options.mk>
.if ${PORT_OPTIONS:MQTWEBENGINE}
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
.endif
.include <bsd.port.mk>

7
x11/kde5/Makefile

@ -47,11 +47,4 @@ KDEUTILS_RUN_DEPENDS= kdeutils>=${KDE_APPLICATIONS_VERSION}:misc/kdeutils
PULSEAUDIO_USE= KDE=plasma-pa
.include <bsd.port.options.mk>
.if ${PORT_OPTIONS:MKDEPIM}
DEPRECATED= Uses EOL Python 2.7 via deskutils/kdepim
EXPIRATION_DATE=2021-06-23
.endif
.include <bsd.port.mk>

3
x11/radare-cutter/Makefile

@ -10,9 +10,6 @@ COMMENT= GUI for radare2 reverse engineering framework
LICENSE= GPLv3
LICENSE_FILE= ${WRKSRC}/../COPYING
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
LIB_DEPENDS= libcapstone.so:devel/capstone4 \
libr_bin.so:devel/radare2

Loading…
Cancel
Save